
Redmine - Defect #14845

Error in user controller

2013-09-04 10:44 - Marc Schlaich

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.3

Description

Started GET "/users/1" for 10.10.50.70 at Wed Sep 04 10:38:49 +0000 2013

Processing by UsersController#show as HTML

  Parameters: {"id"=>"1"}

  Current user: admin (id=1)

Completed 500 Internal Server Error in 49ms

NoMethodError (undefined method `<=>' for nil:NilClass):

  lib/redmine/activity/fetcher.rb:80:in `events'

  lib/redmine/activity/fetcher.rb:80:in `sort!'

  lib/redmine/activity/fetcher.rb:80:in `events'

  app/controllers/users_controller.rb:68:in `show'

 This could be a regression from running migrate_from_trac.

Related issues:

Is duplicate of Redmine - Patch #14567: migrate_from_trac.rake does not conve... New

History

#1 - 2013-09-04 11:31 - Marc Schlaich

This is definitely a regression from running migrate_from_trac. Just confirmed with a clean environment.

#2 - 2013-09-04 11:42 - Marc Schlaich

Should be fixed with #14567

#3 - 2013-09-05 15:01 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

#4 - 2013-09-05 15:01 - Etienne Massip

- Related to Patch #14567: migrate_from_trac.rake does not convert timestamps in Trac database version 23 added

#5 - 2013-09-05 15:01 - Etienne Massip

- Related to deleted (Patch #14567: migrate_from_trac.rake does not convert timestamps in Trac database version 23)

#6 - 2013-09-05 15:01 - Etienne Massip

- Is duplicate of Patch #14567: migrate_from_trac.rake does not convert timestamps in Trac database version 23 added

#7 - 2013-09-26 08:09 - Craig Rodrigues

Marc,

Can you replace your copy of migrate_from_trac.rake with this file:

https://raw.github.com/rodrigc/redmine/master/lib/tasks/migrate_from_trac.rake

and re-do your trac to redmine migration?  I would like feedback.

This has fixes for #14567 and some other fixes

that I did.
